%define upstream_name	wxMaxima

Name:		wxmaxima
Version:	20.12.1
Release:	%mkrel 1
Summary:	An interface for the computer algebra system Maxima
Group:		Sciences/Mathematics
License:	GPLv2+
URL:		http://andrejv.github.io/wxmaxima/
Source0:	https://github.com/wxMaxima-developers/wxmaxima/archive/Version-%{version}/wxmaxima-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	wxgtk-devel >= 3.1.2
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

Requires:	maxima
Recommends:	jsmath-fonts

%description
wxMaxima is a cross-platform graphical front-end for the computer
algebra system Maxima based on wxWidgets. It provides nice display
of mathematical output and easy access to Maxima functions through
menus and dialogs.


%prep
%setup -q -n %{name}-Version-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{upstream_name} --with-man --all-name

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --remove-category="Utility" \
    --remove-category="X-Red-Hat-Base" \
    --remove-category="X-Red-Hat-Base-Only" \
    --add-category="GTK" \
    --add-category="Science" \
    --add-category="Math" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

#unneeded(?)
rm -rf %{buildroot}%{_datadir}/menu/wxmaxima.menu
rm -rf %{buildroot}%{_datadir}/%{name}

%define _id_basename io.github.wxmaxima_developers.wxMaxima

%files -f %{upstream_name}.lang
%doc README.md COPYING AUTHORS ChangeLog NEWS.md
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{_id_basename}.desktop
%{_datadir}/%{upstream_name}/
%{_metainfodir}/%{_id_basename}.appdata.xml
%{_mandir}/man1/wxmaxima.1.*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_datadir}/bash-completion/completions/wxmaxima


%changelog
* Fri Jan 01 2021 wally <wally> 20.12.1-1.mga8
+ Revision: 1667897
- new version 20.12.1
- rebuild for wxgtk pre 3.1.5 snapshot

* Fri Oct 09 2020 shlomif <shlomif> 20.09.0-1.mga8
+ Revision: 1632973
- New version 20.09.0

* Sat Sep 05 2020 shlomif <shlomif> 20.07.0-1.mga8
+ Revision: 1622375
- New version 20.07.0

* Sun Aug 16 2020 wally <wally> 20.06.3-2.mga8
+ Revision: 1614376
- rebuild for new wxgtk 3.1.4

* Sat Jun 06 2020 daviddavid <daviddavid> 20.06.3-1.mga8
+ Revision: 1590678
- new version: 20.06.3

* Thu Jun 04 2020 daviddavid <daviddavid> 20.06.1-1.mga8
+ Revision: 1590292
- new version: 20.06.1

* Thu May 21 2020 wally <wally> 20.04.0-2.mga8
+ Revision: 1586678
- use %%find_lang macro to find localized man pages

* Thu May 21 2020 shlomif <shlomif> 20.04.0-1.mga8
+ Revision: 1586628
- New version 20.04.0

* Tue Apr 07 2020 shlomif <shlomif> 20.03.1-1.mga8
+ Revision: 1565381
- New version 20.03.1

* Sat Feb 22 2020 wally <wally> 20.02.2-1.mga8
+ Revision: 1549292
- new version 20.02.2

* Thu Feb 20 2020 umeabot <umeabot> 20.01.3-2.mga8
+ Revision: 1547357
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 20.01.3-1.mga8
+ Revision: 1487985
- new version: 20.01.3

* Tue Jan 14 2020 shlomif <shlomif> 20.01.2-1.mga8
+ Revision: 1477965
- New version 20.01.2

* Wed Jan 01 2020 shlomif <shlomif> 19.12.3-1.mga8
+ Revision: 1475185
- New version 19.12.3

* Fri Dec 06 2019 daviddavid <daviddavid> 19.11.0-1.mga8
+ Revision: 1464806
- new version: 19.11.0

* Tue Nov 12 2019 wally <wally> 19.07.0-3.mga8
+ Revision: 1459497
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 19.07.0-2.mga8
+ Revision: 1419539
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 daviddavid <daviddavid> 19.07.0-1.mga8
+ Revision: 1419326
- new version: 19.07.0

* Sat Jun 29 2019 wally <wally> 19.05.7-1.mga8
+ Revision: 1415519
- new version 19.05.7

* Tue Mar 26 2019 daviddavid <daviddavid> 19.03.1-1.mga7
+ Revision: 1380272
- new version: 19.03.1

* Wed Mar 06 2019 daviddavid <daviddavid> 19.03.0-1.mga7
+ Revision: 1372010
- new version: 19.03.0

* Wed Feb 27 2019 daviddavid <daviddavid> 19.02.2-1.mga7
+ Revision: 1370422
- new version: 19.02.2

* Mon Jan 28 2019 shlomif <shlomif> 19.01.2-1.mga7
+ Revision: 1361635
- New version 19.01.2

* Sat Dec 29 2018 daviddavid <daviddavid> 18.12.0-1.mga7
+ Revision: 1346394
- new version: 18.12.0

* Mon Nov 26 2018 daviddavid <daviddavid> 18.11.4-1.mga7
+ Revision: 1335660
- new version: 18.11.4

* Sat Nov 10 2018 daviddavid <daviddavid> 18.10.2-1.mga7
+ Revision: 1329264
- new version: 18.10.2

* Sun Oct 14 2018 wally <wally> 18.10.1-1.mga7
+ Revision: 1320278
- new version 18.10.1

* Sun Sep 23 2018 umeabot <umeabot> 18.02.0-2.mga7
+ Revision: 1301727
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 18.02.0-1.mga7
+ Revision: 1207153
- New version 18.02.0

* Fri Dec 08 2017 shlomif <shlomif> 17.10.1-1.mga7
+ Revision: 1181731
- New version 17.10.1

* Sat Jun 03 2017 akien <akien> 15.08.2-4.mga6
+ Revision: 1106132
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 15.08.2-3.mga6
+ Revision: 1019825
- rebuild for wxgtk3.0 built with GTK2

* Wed Feb 17 2016 umeabot <umeabot> 15.08.2-2.mga6
+ Revision: 963296
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 wally <wally> 15.08.2-1.mga6
+ Revision: 881330
- new version 15.08.2

* Fri Sep 18 2015 wally <wally> 15.04.0-4.mga6
+ Revision: 880359
- rebuild for new gcc

* Sun Aug 16 2015 ycantin <ycantin> 15.04.0-3.mga6
+ Revision: 865176
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 daviddavid <daviddavid> 15.04.0-2.mga6
+ Revision: 856266
- rebuild for new wxgtk built with gtk3

* Sat Jun 20 2015 wally <wally> 15.04.0-1.mga6
+ Revision: 836624
- new version 15.04.0

* Wed Feb 11 2015 wally <wally> 14.12.1-1.mga5
+ Revision: 814670
- new version 14.12.1
- switch to wxgtk3.0

* Wed Oct 15 2014 umeabot <umeabot> 13.04.2-4.mga5
+ Revision: 743775
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 13.04.2-3.mga5
+ Revision: 690385
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 13.04.2-2.mga4
+ Revision: 540739
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 grenoya <grenoya> 13.04.2-1.mga4
+ Revision: 494221
- new version 13.04.2

* Fri Jul 26 2013 grenoya <grenoya> 13.04.1-1.mga4
+ Revision: 458689
- new version 13.04.1

* Mon Jan 14 2013 umeabot <umeabot> 12.09.0-2.mga3
+ Revision: 385902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 grenoya <grenoya> 12.09.0-1.mga3
+ Revision: 296432
- new version 12.09.0

* Sun Jan 22 2012 kamil <kamil> 12.01.0-1.mga2
+ Revision: 199797
- new version 12.01.0
- fix file list

* Sun Jan 22 2012 kamil <kamil> 11.08.0-2.mga2
+ Revision: 199785
- rebuild against new gcc 4.6.2
- clean .spec

* Sat Sep 10 2011 grenoya <grenoya> 11.08.0-1.mga2
+ Revision: 142251
- upgrade to 11.08.0
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Apr 21 2011 grenoya <grenoya> 0.8.6-2.mga1
+ Revision: 89490
- clean old Mdv syntax
- imported package wxmaxima


* Tue Nov 23 2010 Jani Välimaa <wally@mandriva.org> 0.8.6-2mdv2011.0
+ Revision: 599936
- suggest jsmath-fonts for better Greek characters and math symbols output

* Sat Nov 20 2010 Jani Välimaa <wally@mandriva.org> 0.8.6-1mdv2011.0
+ Revision: 599211
- new version 0.8.6

* Mon Nov 15 2010 Jani Välimaa <wally@mandriva.org> 0.8.5-2mdv2011.0
+ Revision: 597646
- fix desktop file (wrong icon name)

* Thu Apr 29 2010 Frederik Himpe <fhimpe@mandriva.org> 0.8.5-1mdv2010.1
+ Revision: 541061
- update to new version 0.8.5

* Wed Dec 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-1mdv2010.1
+ Revision: 479582
- update to new version 0.8.4

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.3a-1mdv2010.1
+ Revision: 422257
- Update to new version 0.8.3a
- Remove some Red Hat categories from desktop file

* Thu Jun 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.2-1mdv2010.0
+ Revision: 382898
- update to new version 0.8.2

* Fri Feb 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 338277
- update to new version 0.8.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Dec 06 2008 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 311179
- Update to new version 0.8.0

* Thu Aug 21 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2009.0
+ Revision: 274694
- update to new version 0.7.6

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.7.4-4mdv2009.0
+ Revision: 262183
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.7.4-3mdv2009.0
+ Revision: 256477
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.4-1mdv2008.1
+ Revision: 160925
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.3-2mdv2008.0
+ Revision: 80506
- reduce menu categories as per frederik

* Tue Sep 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.3-1mdv2008.0
+ Revision: 79569
- need to do the icon name correction before the desktop-file-install to pass build tests...
- fix various category issues in xdg menu entry (#33119)
- drop old menu entry
- fd.o icons
- fix cut-n-paste-o in description
- use Fedora license policy
- small spec clean
- new release 0.7.3

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-1mdv2008.0
+ Revision: 47275
- update to new version 0.7.1


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.6.5-3mdv2007.0
+ Revision: 100707
- Import wxmaxima

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.6.5-3mdv2007.1
- use the right configure macro

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.5-2mdv2007.0
- buildrequires desktop-file-utils

* Wed Jun 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.5-1mdv2007.0
- contributed by PierreLag <pierre DOT lag AT gmail.com>

